Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
DeadlockPolicy Members
DeadlockPolicy Class Methods Fields See Also

The DeadlockPolicy type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| DEFAULT | If no DeadlockPolicy has yet been specified, use RANDOM.
| EXPIRE | Reject lock requests which have timed out. No other deadlock detection is performed.
| MAX_LOCKS | Reject the lock request for the locker ID with the most locks.
| MAX_WRITE | Reject the lock request for the locker ID with the most write locks.
| MIN_LOCKS | Reject the lock request for the locker ID with the fewest locks.
| MIN_WRITE | Reject the lock request for the locker ID with the fewest write locks.
| OLDEST | Reject the lock request for the locker ID with the oldest lock.
| RANDOM | Reject the lock request for a random locker ID.
| YOUNGEST | Reject the lock request for the locker ID with the youngest lock.

# See Also

DeadlockPolicy Class
BerkeleyDB Namespace